    <mat-card class="stat-card">
      <mat-card-header>
        <mat-card-title *ngIf="cardTitle"> {{ cardTitle }} </mat-card-title>
        <mat-card-subtitle *ngIf="cardSubtitle"> {{ cardSubtitle }} </mat-card-subtitle>
      </mat-card-header>
      <img mat-card-image *ngIf="imgUrl" [src]="getUrl()" alt="image">
      <mat-card-content>
        <div class="centered">
          <mat-progress-spinner *ngIf="enableSpinner(spinnerValue)"
                class="mat-spinner"
                [color]="spinnerColor"
                [mode]="spinnerMode(spinnerValue)"
                [value]="getSpinnerValue(spinnerValue)"
                [diameter]="spinnerDiameter">
          </mat-progress-spinner>          
          <mat-card-subtitle *ngIf="enableSpinner(spinnerValue) && cardSubtitle"> 
              {{(spinnerMode(spinnerValue) === 'determinate') ? spinnerValue+'%' : ''}} {{ cardSubtitle }} 
          </mat-card-subtitle>
          <mat-icon class="big-icon" *ngIf="statIcon" >{{statIcon}}</mat-icon>
          <mat-card-subtitle *ngIf="statIcon && statValue"> {{ statValue }} </mat-card-subtitle>
          <div *ngIf="!statIcon && statValue" class="stat-value">
              {{statValue}}
          </div>
          <p>
            {{ contentText }}
          </p>
        </div>
        
      </mat-card-content>
    </mat-card>    

